Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.rule
Class AllEAttributes

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.ETypedElementImpl
                                  org.eclipse.emf.ecore.impl.EStructuralFeatureImpl
                                      org.eclipse.emf.ecore.impl.EAttributeImpl
                                          org.eclipse.emf.ecp.view.internal.rule.AllEAttributes

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EAttribute, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature, org.eclipse.emf.ecore.EStructuralFeature.Internal, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.ETypedElement, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder

    public class AllEAttributes

extends org.eclipse.emf.ecore.impl.EAttributeImpl

Custom attribute used by the `RuleRegistry` to capture the fact that a `Rule` may not have condition.

Author:
  emueller

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl
`org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.BasicFeatureMapEntry, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateFeatureMapDelegator, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateMany, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleContainer, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleContainerResolving, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataDynamic, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataStatic, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableStatic, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObject, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentResolving, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettableResolving, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseResolving, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettableResolving, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolving, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverse, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverseUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverse, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverseUnsettable, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InverseUpdatingFeatureMapEntry, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.SettingMany, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.SimpleContentFeatureMapEntry, org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.SimpleFeatureMapEntry`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`org.eclipse.emf.ecore.EStructuralFeature.Internal, org.eclipse.emf.ecore.EStructuralFeature.Setting`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal
`org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.EStructuralFeature.Internal.SettingDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`AllEAttributes()`

Method Summary
`static AllEAttributes` | `get()` Returns the singleton instance.

Methods inherited from class org.eclipse.emf.ecore.impl.EAttributeImpl
`basicGetEAttributeType, eGet, eIsSet, eSet, eUnset, getEAttributeType, isID, isMany, setEType, setID, setUpperBound, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl
`eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, eInvoke, getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getEOpposite, getExtendedMetaData, getFeatureID, getFeatureMapEntryPrototype, getSettingDelegate, isChangeable, isContainer, isContainment, isDerived, isFeatureMap, isResolveProxies, isTransient, isUnsettable, isVolatile, setChangeable, setContainerClass, setDefaultValue, setDefaultValueLiteral, setDefaultValueLiteralGen, setDerived, setExtendedMetaData, setFeatureID, setFeatureMapEntryPrototype, setName, setSettingDelegate, setTransient, setUnsettable, setVolatile`

Methods inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`basicGetEType, basicSetEGenericType, basicUnsetEGenericType, getEGenericType, getEType, getLowerBound, getUpperBound, isOrdered, isRequired, isSetEGenericType, isSetEType, isUnique, setEGenericType, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, unsetEGenericType, unsetEType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getFeatureID, isChangeable, isDerived, isTransient, isUnsettable, isVolatile, setChangeable, setDefaultValue, setDefaultValueLiteral, setDerived, setTransient, setUnsettable, setVolatile`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment`

Constructor Detail

### AllEAttributes

    public AllEAttributes()

Method Detail

### get

    public static AllEAttributes get()

  Returns the singleton instance.

  Returns:
    the instance

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.